//
// This code was generated by Enunciate.
// http://enunciate.codehaus.org/
//
#include <time.h>
#include <string.h>
#include <stdlib.h>
#include <libxml/xmlwriter.h>
#include <libxml/xmlreader.h>

#ifndef DEBUG_ENUNCIATE
#define DEBUG_ENUNCIATE 0
#endif

#ifndef ENUNCIATE_C_UTILITIES
#define ENUNCIATE_C_UTILITIES

/**
 * A basic xml node, used when (de)serializing unknown or "any" xml type.
 * We can't use the libxml xmlNodePtr because we can't reliably "free" it.
 */
struct xmlBasicNode {
  /**
   * The (local) name of the node.
   */
  xmlChar *name;

  /**
   * The namespace of the node.
   */
  xmlChar *ns;

  /**
   * The namespace prefix of the node.
   */
  xmlChar *prefix;

  /**
   * The (text) value of the node.
   */
  xmlChar *value;

  /**
   * The child elements of the node.
   */
  struct xmlBasicNode *child_elements;

  /**
   * The attributes of the node.
   */
  struct xmlBasicNode *attributes;

  /**
   * The next sibling (for a list of nodes).
   */
  struct xmlBasicNode *sibling;
};

/*******************xml utilities************************************/

static int xmlTextReaderAdvanceToNextStartOrEndElement(xmlTextReaderPtr reader) {
  int status = xmlTextReaderRead(reader);
  while (status && xmlTextReaderNodeType(reader) != XML_READER_TYPE_ELEMENT && xmlTextReaderNodeType(reader) != XML_READER_TYPE_END_ELEMENT) {
    status = xmlTextReaderRead(reader);
  }
  return status;
}

static int xmlTextReaderSkipElement(xmlTextReaderPtr reader) {
  int status = xmlTextReaderNext(reader);
  while (status && xmlTextReaderNodeType(reader) != XML_READER_TYPE_ELEMENT && xmlTextReaderNodeType(reader) != XML_READER_TYPE_END_ELEMENT) {
    status = xmlTextReaderRead(reader);
  }
  return status;
}

static xmlChar *xmlTextReaderReadEntireNodeValue(xmlTextReaderPtr reader) {
  xmlChar *buffer = calloc(1, sizeof(xmlChar));
  const xmlChar *snippet;
  int status;
  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ATTRIBUTE) {
    return xmlTextReaderValue(reader);
  }
  else if (xmlTextReaderIsEmptyElement(reader) == 0) {
    status = xmlTextReaderRead(reader);
    while (status && (xmlTextReaderNodeType(reader) == XML_READER_TYPE_TEXT || xmlTextReaderNodeType(reader) == XML_READER_TYPE_CDATA || xmlTextReaderNodeType(reader) == XML_READER_TYPE_ENTITY_REFERENCE)) {
      snippet = xmlTextReaderConstValue(reader);
      buffer = realloc(buffer, (xmlStrlen(buffer) + xmlStrlen(snippet) + 1) * sizeof(xmlChar));
      xmlStrcat(buffer, snippet);
      status = xmlTextReaderRead(reader);
    }
  }
  return buffer;
}

/*******************base 64 utilities************************************/

/*
 * Base64 Translation Table as described in RFC1113.
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static const char cb64[]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";

/*
 * Base64 Translation Table to decode (created by author)
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static const char cd64[]="|$$$}rstuvwxyz{$$$$$$$>?@ABCDEFGHIJKLMNOPQRSTUVW$$$$$$XYZ[\\]^_`abcdefghijklmnopq";

/*
 * encode 3 8-bit binary bytes as 4 '6-bit' characters
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param in the block to encode
 * @param out the block to encode to
 * @param len the length of the 'in' block.
 */
static void _encode_base64_block(unsigned char in[3], unsigned char out[4], int len) {
  out[0] = cb64[ in[0] >> 2 ];
  out[1] = cb64[ ((in[0] & 0x03) << 4) | ((in[1] & 0xf0) >> 4) ];
  out[2] = (unsigned char) (len > 1 ? cb64[ ((in[1] & 0x0f) << 2) | ((in[2] & 0xc0) >> 6) ] : '=');
  out[3] = (unsigned char) (len > 2 ? cb64[ in[2] & 0x3f ] : '=');
}

/*
 * decode 4 '6-bit' characters into 3 8-bit binary bytes
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static void _decode_base64_block( unsigned char in[4], unsigned char out[3] )
{
    out[ 0 ] = (unsigned char ) (in[0] << 2 | in[1] >> 4);
    out[ 1 ] = (unsigned char ) (in[1] << 4 | in[2] >> 2);
    out[ 2 ] = (unsigned char ) (((in[2] << 6) & 0xc0) | in[3]);
}

/*
 * base64 encode a stream adding padding and line breaks as per spec.
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param instream The stream to encode.
 * @param insize The size of the stream to encode.
 * @return The encoded string.
 */
xmlChar *_encode_base64(unsigned char *instream, int insize) {
  unsigned char in[3];
  unsigned char out[4];
  xmlChar *encoded;
  int i, in_index = 0, out_index = 0, blocklen;

  if (insize == 0) {
    return BAD_CAST "\0";
  }

  encoded = calloc(((insize / 3) * 4) + 10, sizeof(xmlChar));
  while (in_index <= insize) {
    blocklen = 0;
    for (i = 0; i < 3; i++) {
      in[i] = instream[in_index++];
      if (in_index <= insize) {
        blocklen++;
      }
      else {
        in[i] = 0;
      }
    }
    if (blocklen) {
      _encode_base64_block(in, out, blocklen);
      for( i = 0; i < 4; i++ ) {
        encoded[out_index++] = out[i];
      }
    }
  }

  return encoded;
}

/*
 * Decode a base64 encoded stream discarding padding, line breaks and noise
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param invalue The string to decode.
 * @param outsize Holder for the length of the returned data.
 * @return The decoded data.
 */
unsigned char *_decode_base64( const xmlChar *invalue, int *outsize ) {
  xmlChar in[4];
  unsigned char out[3], v;
  int i, in_index = 0, out_index = 0, blocklen;
  unsigned char *outstream;

  if (invalue == NULL) {
    return NULL;
  }

  outstream = calloc(((xmlStrlen(invalue) / 4) * 3) + 1, sizeof(unsigned char));
  while (invalue[in_index] != '\0') {
    for (blocklen = 0, i = 0; i < 4 && invalue[in_index]; i++) {
      v = 0;
      while (invalue[in_index] != '\0' && v == 0) {
        v = (unsigned char) invalue[in_index++];
        v = (unsigned char) ((v < 43 || v > 122) ? 0 : cd64[ v - 43 ]);
        if (v) {
          v = (unsigned char) ((v == '$') ? 0 : v - 61);
        }
      }

      if (invalue[in_index] != '\0') {
        blocklen++;
        if (v) {
          in[i] = (unsigned char) (v - 1);
        }
      }
      else {
        in[i] = 0;
      }
    }

    if (blocklen) {
      _decode_base64_block( in, out );
      for( i = 0; i < blocklen - 1; i++ ) {
        outstream[out_index++] = out[i];
      }
    }
  }

  if (outsize != NULL) {
    *outsize = out_index;
  }

  return outstream;
}

#endif /* ENUNCIATE_C_UTILITIES */

#ifndef BASIC_XML_FUNCTIONS_Xs
#define BASIC_XML_FUNCTIONS_Xs

/*******************xs:boolean************************************/

/**
 * Read a boolean value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to 1 if "true" was read. pointer to 0 otherwise.
 */
static int *xmlTextReaderReadXsBooleanType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  int *value = malloc(sizeof(int));
  *value = (xmlStrcmp(BAD_CAST "true", nodeValue) == 0) ? 1 : 0;
  free(nodeValue);
  return value;
}

/**
 * Write a boolean value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsBooleanType(xmlTextWriterPtr writer, int *value) {
  if (*value) {
    return xmlTextWriterWriteString(writer, BAD_CAST "false");
  }
  else {
    return xmlTextWriterWriteString(writer, BAD_CAST "true");
  }
}

/**
 * Frees a boolean type from memory.
 *
 * @param value The value to free.
 */
static void freeXsBooleanType(int *value) {
  //no-op
}

/*******************xs:byte************************************/

/**
 * Read a byte value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the byte.
 */
static unsigned char *xmlTextReaderReadXsByteType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  unsigned char *value = malloc(sizeof(unsigned char));
  *value = (unsigned char) atoi((char *) nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a byte value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsByteType(xmlTextWriterPtr writer, unsigned char *value) {
  return xmlTextWriterWriteFormatString(writer, "%i", *value);
}

/**
 * Frees a byte type from memory.
 *
 * @param value The value to free.
 */
static void freeXsByteType(unsigned char *value) {
  //no-op
}

/*******************xs:double************************************/

/**
 * Read a double value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the double.
 */
static double *xmlTextReaderReadXsDoubleType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  double *value = malloc(sizeof(double));
  *value = atof((char *) nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a double value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDoubleType(xmlTextWriterPtr writer, double *value) {
  return xmlTextWriterWriteFormatString(writer, "%f", *value);
}

/**
 * Frees a double type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDoubleType(double *value) {
  //no-op
}

/*******************xs:float************************************/

/**
 * Read a float value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the float.
 */
static float *xmlTextReaderReadXsFloatType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  float *value = malloc(sizeof(float));
  *value = atof((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a float value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsFloatType(xmlTextWriterPtr writer, float *value) {
  return xmlTextWriterWriteFormatString(writer, "%f", *value);
}

/**
 * Frees a float type from memory.
 *
 * @param value The value to free.
 */
static void freeXsFloatType(float *value) {
  //no-op
}

/*******************xs:int************************************/

/**
 * Read a int value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @param value The value to be written.
 * @return pointer to the int.
 */
static int *xmlTextReaderReadXsIntType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  int *value = malloc(sizeof(int));
  *value = atoi((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a int value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIntType(xmlTextWriterPtr writer, int *value) {
  return xmlTextWriterWriteFormatString(writer, "%i", *value);
}

/**
 * Frees a int type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIntType(int *value) {
  //no-op
}

/*******************xs:long************************************/

/**
 * Read a long value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the long.
 */
static long *xmlTextReaderReadXsLongType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  long *value = malloc(sizeof(long));
  *value = atol((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a long value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsLongType(xmlTextWriterPtr writer, long *value) {
  return xmlTextWriterWriteFormatString(writer, "%ld", *value);
}

/**
 * Frees a long type from memory.
 *
 * @param value The value to free.
 */
static void freeXsLongType(long *value) {
  //no-op
}

/*******************xs:short************************************/

/**
 * Read a short value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the short.
 */
static short *xmlTextReaderReadXsShortType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  short *value = malloc(sizeof(short));
  *value = atoi((char *)nodeValue);
  return value;
}

/**
 * Write a short value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsShortType(xmlTextWriterPtr writer, short *value) {
  return xmlTextWriterWriteFormatString(writer, "%hi", *value);
}

/**
 * Frees a short type from memory.
 *
 * @param value The value to free.
 */
static void freeXsShortType(short *value) {
  //no-op
}

/*******************xs:string************************************/

/**
 * Read a string value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the string.
 */
static xmlChar *xmlTextReaderReadXsStringType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadEntireNodeValue(reader);
}

/**
 * Write a string value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsStringType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a string type from memory.
 *
 * @param value The value to free.
 */
static void freeXsStringType(xmlChar *value) {
  //no-op
}

/*******************xs:ID************************************/

/**
 * Read a ID value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the ID.
 */
static xmlChar *xmlTextReaderReadXsIDType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a ID value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIDType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a ID type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIDType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:IDREF************************************/

/**
 * Read a IDREF value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the IDREF.
 */
static xmlChar *xmlTextReaderReadXsIDREFType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a IDREF value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIDREFType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a IDREF type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIDREFType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:integer************************************/

/**
 * Read a (big) integer value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the integer.
 */
static xmlChar *xmlTextReaderReadXsIntegerType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a integer value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIntegerType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a integer type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIntegerType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:decimal************************************/

/**
 * Read a (big) decimal value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the decimal.
 */
static xmlChar *xmlTextReaderReadXsDecimalType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a decimal value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDecimalType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a decimal type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDecimalType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:duration************************************/

/**
 * Read a duration value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the duration.
 */
static xmlChar *xmlTextReaderReadXsDurationType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a duration value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDurationType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a duration type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDurationType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:QName************************************/

/**
 * Read a QName value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the QName.
 */
static xmlChar *xmlTextReaderReadXsQNameType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a QName value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsQNameType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a QName type from memory.
 *
 * @param value The value to free.
 */
static void freeXsQNameType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:anyURI************************************/

/**
 * Read a anyURI value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyURI.
 */
static xmlChar *xmlTextReaderReadXsAnyURIType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a anyURI value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyURIType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a anyURI type from memory.
 *
 * @param value The value to free.
 */
static void freeXsAnyURIType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:dateTime************************************/

/**
 * Read a dateTime value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the dateTime.
 */
static struct tm *xmlTextReaderReadXsDateTimeType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: yyyy-mm-ddThh:MM:ss+oo:oo
  //go to first '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_year = atoi(token) - 1900;
  if (token_index > 0) {
    success++; //assume 'year' was successfully read.
    index++;
  }

  //go to next '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mon = atoi(token) - 1;
  if (token_index > 0) {
    success++; //assume 'month' was successfully read.
    index++;
  }

  //go to 'T' character.
  token_index = 0;
  while (index < len && timevalue[index] != 'T') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mday = atoi(token);
  if (token_index > 0) {
    success++; //assume 'day' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_hour = atoi(token);
  if (token_index > 0) {
    success++; //assume 'hour' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_min = atoi(token);
  if (token_index > 0) {
    success++; //assume 'minutes' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a dateTime value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDateTimeType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%04i-%02i-%02iT%02i:%02i:%02i.000%+03i:%02i", value->tm_year + 1900, value->tm_mon + 1, value->tm_mday, value->tm_hour, value->tm_min, value->tm_sec, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a dateTime type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDateTimeType(struct tm *value) {
  //no-op
}

/*******************xs:time************************************/

/**
 * Read a time value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the time.
 */
static struct tm *xmlTextReaderReadXsTimeType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: hh:MM:ss+oo:oo
  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_hour = atoi(token);
  if (token_index > 0) {
    success++; //assume 'hour' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_min = atoi(token);
  if (token_index > 0) {
    success++; //assume 'minutes' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a time value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsTimeType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%02i:%02i:%02i.000%+03i:%02i", value->tm_hour, value->tm_min, value->tm_sec, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a time type from memory.
 *
 * @param value The value to free.
 */
static void freeXsTimeType(struct tm *value) {
  //no-op
}

/*******************xs:date************************************/

/**
 * Read a date value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the date.
 */
static struct tm *xmlTextReaderReadXsDateType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: yyyy-mm-dd+oo:oo
  //go to first '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_year = atoi(token) - 1900;
  if (token_index > 0) {
    success++; //assume 'year' was successfully read.
    index++;
  }

  //go to next '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mon = atoi(token) - 1;
  if (token_index > 0) {
    success++; //assume 'month' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a date value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDateType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%04i-%02i-%02i%+03i:%02i", value->tm_year + 1900, value->tm_mon + 1, value->tm_mday, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a date type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDateType(struct tm *value) {
  //no-op
}

/*******************xs:anyType************************************/

/**
 * Frees a anyType type from memory.
 *
 * @param node The node to free.
 */
static void freeXsAnyTypeType(struct xmlBasicNode *node) {
  if (node->attributes != NULL) {
    freeXsAnyTypeType(node->attributes);
  }
  if (node->value != NULL) {
    free(node->value);
  }
  if (node->child_elements != NULL) {
    freeXsAnyTypeType(node->child_elements);
  }
  if (node->name != NULL) {
    free(node->name);
  }
  if (node->prefix != NULL) {
    free(node->prefix);
  }
  if (node->ns != NULL) {
    free(node->ns);
  }
  if (node->sibling != NULL) {
    freeXsAnyTypeType(node->sibling);
    free(node->sibling);
  }
}

/**
 * Read a anyType value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnyTypeType(xmlTextReaderPtr reader) {
  struct xmlBasicNode *child, *next, *node = calloc(1, sizeof(struct xmlBasicNode));
  int status, depth = xmlTextReaderDepth(reader);
  const xmlChar *text;

  node->name = xmlTextReaderLocalName(reader);
  node->ns = xmlTextReaderNamespaceUri(reader);
  node->prefix = xmlTextReaderPrefix(reader);

  if (xmlTextReaderHasAttributes(reader)) {
    child = NULL;
    while (xmlTextReaderMoveToNextAttribute(reader)) {
      next = calloc(1, sizeof(struct xmlBasicNode));
      if (child == NULL) {
        node->attributes = next;
      }
      else {
        child->sibling = next;
      }
      child = next;
      child->name = xmlTextReaderLocalName(reader);
      child->ns = xmlTextReaderNamespaceUri(reader);
      child->prefix = xmlTextReaderPrefix(reader);
      child->value = xmlTextReaderValue(reader);
    }

    status = xmlTextReaderMoveToElement(reader);
    if (status < 1) {
      //panic: unable to return to the element node.
      freeXsAnyTypeType(node);
      free(node);
      return NULL;
    }
  }

  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    status = xmlTextReaderRead(reader);
    while (status == 1 && xmlTextReaderDepth(reader) > depth) {
      switch (xmlTextReaderNodeType(reader)) {
        case XML_READER_TYPE_ELEMENT:
          child = xmlTextReaderReadXsAnyTypeType(reader);
          if (child == NULL) {
            //panic: xml read error
            freeXsAnyTypeType(node);
            free(node);
            return NULL;
          }

          next = node->child_elements;
          if (next == NULL) {
            node->child_elements = child;
          }
          else {
            while (1) {
              if (next->sibling == NULL) {
                next->sibling = child;
                break;
              }
              next = next->sibling;
            }
          }

          break;
        case XML_READER_TYPE_TEXT:
        case XML_READER_TYPE_CDATA:
          text = xmlTextReaderConstValue(reader);
          node->value = xmlStrncat(node->value, text, xmlStrlen(text));
          break;
        default:
          //skip anything else.
          break;
      }

      status = xmlTextReaderRead(reader);
    }

    if (status < 1) {
      //panic: xml read error
      freeXsAnyTypeType(node);
      free(node);
      return NULL;
    }
  }

  return node;
}

/**
 * Write a anyType value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeType(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  int status;
  int totalBytes = 0;
  struct xmlBasicNode *next;

  status = xmlTextWriterStartElementNS(writer, node->prefix, node->name, node->ns);
  if (status < 0) {
    return status;
  }
  totalBytes += status;

  next = node->attributes;
  while (next != NULL) {
    status = xmlTextWriterWriteAttributeNS(writer, next->prefix, next->name, next->ns, next->value);
    if (status < 0) {
      return status;
    }
    totalBytes += status;
    next = next->sibling;
  }

  if (node->value != NULL) {
    status = xmlTextWriterWriteString(writer, node->value);
    if (status < 0) {
      //panic: xml write error
      return status;
    }
    totalBytes += status;
  }

  next = node->child_elements;
  while (next != NULL) {
    status = xmlTextWriterWriteXsAnyTypeType(writer, next);
    if (status < 0) {
      return status;
    }
    totalBytes += status;
    next = next->sibling;
  }

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Read a anyType element value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnyTypeElement(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsAnyTypeType(reader);
}

/**
 * Write a anyType element value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeElement(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  return xmlTextWriterWriteXsAnyTypeType(writer, node);
}

/**
 * Write a anyType element value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeElementNS(xmlTextWriterPtr writer, struct xmlBasicNode *node, int writeNamespaces) {
  return xmlTextWriterWriteXsAnyTypeType(writer, node);
}

/**
 * Free a anyType element value.
 *
 * @param node The node.
 */
static void freeXsAnyTypeElement(struct xmlBasicNode *node) {
  freeXsAnyTypeType(node);
}

/*******************xs:anySimpleType************************************/

/**
 * Frees a anyType type from memory.
 *
 * @param node The node to free.
 */
static void freeXsAnySimpleTypeType(struct xmlBasicNode *node) {
  freeXsAnyTypeType(node);
}

/**
 * Read a anyType value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnySimpleTypeType(xmlTextReaderPtr reader) {
  struct xmlBasicNode *node = calloc(1, sizeof(struct xmlBasicNode));

  node->name = xmlTextReaderLocalName(reader);
  node->ns = xmlTextReaderNamespaceUri(reader);
  node->prefix = xmlTextReaderPrefix(reader);
  node->value = xmlTextReaderReadEntireNodeValue(reader);

  return node;
}

/**
 * Write a anyType value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnySimpleTypeType(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  if (node->value != NULL) {
    return xmlTextWriterWriteXsStringType(writer, node->value);
  }

  return 0;
}

#endif /* BASIC_XML_FUNCTIONS_Xs */

#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO {


  /**
   * the searchBase
   */
  xmlChar *searchBase;

  /**
   * the systemUsername
   */
  xmlChar *systemUsername;

  /**
   * the systemPassword
   */
  xmlChar *systemPassword;

  /**
   * the authScheme
   */
  xmlChar *authScheme;

  /**
   * the protocol
   */
  xmlChar *protocol;

  /**
   * the host
   */
  xmlChar *host;

  /**
   * the port
   */
  int port;

  /**
   * the realm
   */
  xmlChar *realm;
};

/**
 * Reads a LdapConnectionInfoDTO from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapConnectionInfoDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *xmlTextReaderReadNs0LdapConnectionInfoDTOType(xmlTextReaderPtr reader);

/**
 * Writes a LdapConnectionInfoDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoDTO The LdapConnectionInfoDTO to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapConnectionInfoDTOType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *_ldapConnectionInfoDTO);

/**
 * Frees the elements of a LdapConnectionInfoDTO.
 *
 * @param _ldapConnectionInfoDTO The LdapConnectionInfoDTO to free.
 */
static void freeNs0LdapConnectionInfoDTOType(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *_ldapConnectionInfoDTO);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse {


  /**
   * the connectionInfo
   */
  struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *data;
};

/**
 * Reads a LdapConnectionInfoResponse element from XML. The element to be read is "connectionInfo", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapConnectionInfoResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *xml_read_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse(xmlTextReaderPtr reader);

/**
 * Writes a LdapConnectionInfoResponse to XML under element name "connectionInfo".
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse);

/**
 * Frees a LdapConnectionInfoResponse.
 *
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse);

/**
 * Reads a LdapConnectionInfoResponse element from XML. The element to be read is "connectionInfo", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The LdapConnectionInfoResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *xmlTextReaderReadNs0ConnectionInfoElement(xmlTextReaderPtr reader);

/**
 * Writes a LdapConnectionInfoResponse to XML under element name "connectionInfo".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ConnectionInfoElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse);

/**
 * Writes a LdapConnectionInfoResponse to XML under element name "connectionInfo".
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ConnectionInfoElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse, int writeNamespaces);

/**
 * Frees the children of a LdapConnectionInfoResponse.
 *
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse whose children are to be free.
 */
static void freeNs0ConnectionInfoElement(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse);

/**
 * Reads a LdapConnectionInfoResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapConnectionInfoResponse, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *xmlTextReaderReadNs0LdapConnectionInfoResponseType(xmlTextReaderPtr reader);

/**
 * Writes a LdapConnectionInfoResponse to XML.
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapConnectionInfoResponseType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse);

/**
 * Frees the elements of a LdapConnectionInfoResponse.
 *
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to free.
 */
static void freeNs0LdapConnectionInfoResponseType(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO {


  /**
   * the emailAddressAttribute
   */
  xmlChar *emailAddressAttribute;

  /**
   * the groupBaseDn
   */
  xmlChar *groupBaseDn;

  /**
   * the groupIdAttribute
   */
  xmlChar *groupIdAttribute;

  /**
   * the groupMemberAttribute
   */
  xmlChar *groupMemberAttribute;

  /**
   * the groupMemberFormat
   */
  xmlChar *groupMemberFormat;

  /**
   * the groupObjectClass
   */
  xmlChar *groupObjectClass;

  /**
   * the userPasswordAttribute
   */
  xmlChar *userPasswordAttribute;

  /**
   * the userIdAttribute
   */
  xmlChar *userIdAttribute;

  /**
   * the userObjectClass
   */
  xmlChar *userObjectClass;

  /**
   * the userBaseDn
   */
  xmlChar *userBaseDn;

  /**
   * the userRealNameAttribute
   */
  xmlChar *userRealNameAttribute;

  /**
   * the ldapGroupsAsRoles
   */
  int ldapGroupsAsRoles;

  /**
   * the userSubtree
   */
  int userSubtree;

  /**
   * the groupSubtree
   */
  int groupSubtree;

  /**
   * (no documentation provided)
   */
  xmlChar *userMemberOfAttribute;

  /**
   * the filter to select specific users
   */
  xmlChar *ldapFilter;
};

/**
 * Reads a LdapUserAndGroupConfigurationDTO from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigurationDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *xmlTextReaderReadNs0LdapUserAndGroupConfigurationDTOType(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigurationDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationDTO The LdapUserAndGroupConfigurationDTO to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigurationDTOType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *_ldapUserAndGroupConfigurationDTO);

/**
 * Frees the elements of a LdapUserAndGroupConfigurationDTO.
 *
 * @param _ldapUserAndGroupConfigurationDTO The LdapUserAndGroupConfigurationDTO to free.
 */
static void freeNs0LdapUserAndGroupConfigurationDTOType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *_ldapUserAndGroupConfigurationDTO);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse {


  /**
   * the userAndGroupConfig
   */
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *data;
};

/**
 * Reads a LdapUserAndGroupConfigurationResponse element from XML. The element to be read is "userAndGroupConfig", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigurationResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *xml_read_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML under element name "userAndGroupConfig".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse);

/**
 * Frees a LdapUserAndGroupConfigurationResponse.
 *
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse);

/**
 * Reads a LdapUserAndGroupConfigurationResponse element from XML. The element to be read is "userAndGroupConfig", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigurationResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *xmlTextReaderReadNs0UserAndGroupConfigElement(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML under element name "userAndGroupConfig".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse);

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML under element name "userAndGroupConfig".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse, int writeNamespaces);

/**
 * Frees the children of a LdapUserAndGroupConfigurationResponse.
 *
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse whose children are to be free.
 */
static void freeNs0UserAndGroupConfigElement(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse);

/**
 * Reads a LdapUserAndGroupConfigurationResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigurationResponse, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *xmlTextReaderReadNs0LdapUserAndGroupConfigurationResponseType(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigurationResponseType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse);

/**
 * Frees the elements of a LdapUserAndGroupConfigurationResponse.
 *
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to free.
 */
static void freeNs0LdapUserAndGroupConfigurationResponseType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserListResponse_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserListResponse_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse {


  /**
   * the ldapUserRoleMappings
   */
  struct nexus_ldap_realm_plugin_ns0_user *ldapUserRoleMappings;

  /**
   * Size of the ldapUserRoleMappings array.
   */
  int _sizeof_ldapUserRoleMappings;
};

/**
 * Reads a LdapUserListResponse element from XML. The element to be read is "userList", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapUserListResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *xml_read_nexus_ldap_realm_plugin_ns0_ldapUserListResponse(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserListResponse to XML under element name "userList".
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapUserListResponse(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse);

/**
 * Frees a LdapUserListResponse.
 *
 * @param _ldapUserListResponse The LdapUserListResponse to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapUserListResponse(struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse);

/**
 * Reads a LdapUserListResponse element from XML. The element to be read is "userList", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The LdapUserListResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *xmlTextReaderReadNs0UserListElement(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserListResponse to XML under element name "userList".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserListElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse);

/**
 * Writes a LdapUserListResponse to XML under element name "userList".
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserListElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse, int writeNamespaces);

/**
 * Frees the children of a LdapUserListResponse.
 *
 * @param _ldapUserListResponse The LdapUserListResponse whose children are to be free.
 */
static void freeNs0UserListElement(struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse);

/**
 * Reads a LdapUserListResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapUserListResponse, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *xmlTextReaderReadNs0LdapUserListResponseType(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserListResponse to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapUserListResponseType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse);

/**
 * Frees the elements of a LdapUserListResponse.
 *
 * @param _ldapUserListResponse The LdapUserListResponse to free.
 */
static void freeNs0LdapUserListResponseType(struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserListResponse_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_user_H
#define DEF_nexus_ldap_realm_plugin_ns0_user_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_user {


  /**
   * the userId
   */
  xmlChar *userId;

  /**
   * the roles
   */
  xmlChar *roles;

  /**
   * Size of the roles array.
   */
  int _sizeof_roles;

  /**
   * the name
   */
  xmlChar *name;

  /**
   * the email
   */
  xmlChar *email;
};

/**
 * Reads a LdapUserResponseDTO from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapUserResponseDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_user *xmlTextReaderReadNs0UserType(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserResponseDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserResponseDTO The LdapUserResponseDTO to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_user *_ldapUserResponseDTO);

/**
 * Frees the elements of a LdapUserResponseDTO.
 *
 * @param _ldapUserResponseDTO The LdapUserResponseDTO to free.
 */
static void freeNs0UserType(struct nexus_ldap_realm_plugin_ns0_user *_ldapUserResponseDTO);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_user_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest {


  /**
   * the ldapConnectionInfoDTO
   */
  struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *data;
};

/**
 * Reads a LdapAuthenticationTestRequest element from XML. The element to be read is "connectionInfoTest", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapAuthenticationTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *xml_read_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest(xmlTextReaderPtr reader);

/**
 * Writes a LdapAuthenticationTestRequest to XML under element name "connectionInfoTest".
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest);

/**
 * Frees a LdapAuthenticationTestRequest.
 *
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest(struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest);

/**
 * Reads a LdapAuthenticationTestRequest element from XML. The element to be read is "connectionInfoTest", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The LdapAuthenticationTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *xmlTextReaderReadNs0ConnectionInfoTestElement(xmlTextReaderPtr reader);

/**
 * Writes a LdapAuthenticationTestRequest to XML under element name "connectionInfoTest".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ConnectionInfoTestElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest);

/**
 * Writes a LdapAuthenticationTestRequest to XML under element name "connectionInfoTest".
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ConnectionInfoTestElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest, int writeNamespaces);

/**
 * Frees the children of a LdapAuthenticationTestRequest.
 *
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest whose children are to be free.
 */
static void freeNs0ConnectionInfoTestElement(struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest);

/**
 * Reads a LdapAuthenticationTestRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapAuthenticationTestRequest, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *xmlTextReaderReadNs0LdapAuthenticationTestRequestType(xmlTextReaderPtr reader);

/**
 * Writes a LdapAuthenticationTestRequest to XML.
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapAuthenticationTestRequestType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest);

/**
 * Frees the elements of a LdapAuthenticationTestRequest.
 *
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to free.
 */
static void freeNs0LdapAuthenticationTestRequestType(struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest {


  /**
   * the data
   */
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *data;
};

/**
 * Reads a LdapUserAndGroupConfigTestRequest element from XML. The element to be read is "userAndGroupConfigTest", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *xml_read_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML under element name "userAndGroupConfigTest".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest);

/**
 * Frees a LdapUserAndGroupConfigTestRequest.
 *
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest);

/**
 * Reads a LdapUserAndGroupConfigTestRequest element from XML. The element to be read is "userAndGroupConfigTest", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *xmlTextReaderReadNs0UserAndGroupConfigTestElement(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML under element name "userAndGroupConfigTest".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigTestElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest);

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML under element name "userAndGroupConfigTest".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigTestElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest, int writeNamespaces);

/**
 * Frees the children of a LdapUserAndGroupConfigTestRequest.
 *
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest whose children are to be free.
 */
static void freeNs0UserAndGroupConfigTestElement(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest);

/**
 * Reads a LdapUserAndGroupConfigTestRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigTestRequest, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *xmlTextReaderReadNs0LdapUserAndGroupConfigTestRequestType(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigTestRequestType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest);

/**
 * Frees the elements of a LdapUserAndGroupConfigTestRequest.
 *
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to free.
 */
static void freeNs0LdapUserAndGroupConfigTestRequestType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO_H
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO_H

/**
 * (no documentation provided)
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO {


  /**
   * the emailAddressAttribute
   */
  xmlChar *emailAddressAttribute;

  /**
   * the groupBaseDn
   */
  xmlChar *groupBaseDn;

  /**
   * the groupIdAttribute
   */
  xmlChar *groupIdAttribute;

  /**
   * the groupMemberAttribute
   */
  xmlChar *groupMemberAttribute;

  /**
   * the groupMemberFormat
   */
  xmlChar *groupMemberFormat;

  /**
   * the groupObjectClass
   */
  xmlChar *groupObjectClass;

  /**
   * the userPasswordAttribute
   */
  xmlChar *userPasswordAttribute;

  /**
   * the userIdAttribute
   */
  xmlChar *userIdAttribute;

  /**
   * the userObjectClass
   */
  xmlChar *userObjectClass;

  /**
   * the userBaseDn
   */
  xmlChar *userBaseDn;

  /**
   * the userRealNameAttribute
   */
  xmlChar *userRealNameAttribute;

  /**
   * the ldapGroupsAsRoles
   */
  int ldapGroupsAsRoles;

  /**
   * the userSubtree
   */
  int userSubtree;

  /**
   * the groupSubtree
   */
  int groupSubtree;

  /**
   * (no documentation provided)
   */
  xmlChar *userMemberOfAttribute;

  /**
   * the filter to select specific users
   */
  xmlChar *ldapFilter;

  /**
   * the searchBase
   */
  xmlChar *searchBase;

  /**
   * the systemUsername
   */
  xmlChar *systemUsername;

  /**
   * the systemPassword
   */
  xmlChar *systemPassword;

  /**
   * the authScheme
   */
  xmlChar *authScheme;

  /**
   * the protocol
   */
  xmlChar *protocol;

  /**
   * the host
   */
  xmlChar *host;

  /**
   * the port
   */
  int port;

  /**
   * the realm
   */
  xmlChar *realm;

  /**
   * (no documentation provided)
   */
  int userLimitCount;
};

/**
 * Reads a LdapUserAndGroupConfigTestRequestDTO from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigTestRequestDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *xmlTextReaderReadNs0LdapUserAndGroupConfigTestRequestDTOType(xmlTextReaderPtr reader);

/**
 * Writes a LdapUserAndGroupConfigTestRequestDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequestDTO The LdapUserAndGroupConfigTestRequestDTO to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigTestRequestDTOType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *_ldapUserAndGroupConfigTestRequestDTO);

/**
 * Frees the elements of a LdapUserAndGroupConfigTestRequestDTO.
 *
 * @param _ldapUserAndGroupConfigTestRequestDTO The LdapUserAndGroupConfigTestRequestDTO to free.
 */
static void freeNs0LdapUserAndGroupConfigTestRequestDTOType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *_ldapUserAndGroupConfigTestRequestDTO);

#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO_H */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO_M

/**
 * Reads a LdapConnectionInfoDTO from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapConnectionInfoDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *xmlTextReaderReadNs0LdapConnectionInfoDTOType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *_ldapConnectionInfoDTO = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
        free(_ldapConnectionInfoDTO);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "searchBase", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}searchBase of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}searchBase of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->searchBase = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "systemUsername", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}systemUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}systemUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->systemUsername = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "systemPassword", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}systemPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}systemPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->systemPassword = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "authScheme", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}authScheme of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}authScheme of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->authScheme = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "protocol", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}protocol of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}protocol of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->protocol = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "host", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->host = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "port", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->port = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "realm", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}realm of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}realm of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoDTO);
          free(_ldapConnectionInfoDTO);
          return NULL;
        }

        _ldapConnectionInfoDTO->realm = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapConnectionInfoDTO.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapConnectionInfoDTO. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapConnectionInfoDTO;
}

/**
 * Writes a LdapConnectionInfoDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoDTO The LdapConnectionInfoDTO to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapConnectionInfoDTOType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *_ldapConnectionInfoDTO) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapConnectionInfoDTO->searchBase != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "searchBase", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}searchBase. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}searchBase...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapConnectionInfoDTO->searchBase));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}searchBase. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}searchBase. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapConnectionInfoDTO->systemUsername != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "systemUsername", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}systemUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}systemUsername...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapConnectionInfoDTO->systemUsername));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}systemUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}systemUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapConnectionInfoDTO->systemPassword != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "systemPassword", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}systemPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}systemPassword...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapConnectionInfoDTO->systemPassword));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}systemPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}systemPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapConnectionInfoDTO->authScheme != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "authScheme", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}authScheme. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}authScheme...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapConnectionInfoDTO->authScheme));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}authScheme. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}authScheme. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapConnectionInfoDTO->protocol != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "protocol", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}protocol. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}protocol...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapConnectionInfoDTO->protocol));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}protocol. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}protocol. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapConnectionInfoDTO->host != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "host", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}host...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapConnectionInfoDTO->host));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "port", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}port...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_ldapConnectionInfoDTO->port));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapConnectionInfoDTO->realm != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "realm", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}realm. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}realm...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapConnectionInfoDTO->realm));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}realm. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}realm. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapConnectionInfoDTO.
 *
 * @param _ldapConnectionInfoDTO The LdapConnectionInfoDTO to free.
 */
static void freeNs0LdapConnectionInfoDTOType(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO *_ldapConnectionInfoDTO) {
  int i;
  if (_ldapConnectionInfoDTO->searchBase != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor searchBase of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    freeXsStringType(_ldapConnectionInfoDTO->searchBase);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor searchBase of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    free(_ldapConnectionInfoDTO->searchBase);
  }
  if (_ldapConnectionInfoDTO->systemUsername != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor systemUsername of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    freeXsStringType(_ldapConnectionInfoDTO->systemUsername);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor systemUsername of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    free(_ldapConnectionInfoDTO->systemUsername);
  }
  if (_ldapConnectionInfoDTO->systemPassword != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor systemPassword of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    freeXsStringType(_ldapConnectionInfoDTO->systemPassword);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor systemPassword of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    free(_ldapConnectionInfoDTO->systemPassword);
  }
  if (_ldapConnectionInfoDTO->authScheme != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor authScheme of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    freeXsStringType(_ldapConnectionInfoDTO->authScheme);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor authScheme of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    free(_ldapConnectionInfoDTO->authScheme);
  }
  if (_ldapConnectionInfoDTO->protocol != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor protocol of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    freeXsStringType(_ldapConnectionInfoDTO->protocol);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor protocol of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    free(_ldapConnectionInfoDTO->protocol);
  }
  if (_ldapConnectionInfoDTO->host != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor host of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    freeXsStringType(_ldapConnectionInfoDTO->host);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor host of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    free(_ldapConnectionInfoDTO->host);
  }
  if (_ldapConnectionInfoDTO->realm != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor realm of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    freeXsStringType(_ldapConnectionInfoDTO->realm);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor realm of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO...\n");
#endif
    free(_ldapConnectionInfoDTO->realm);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse_M

/**
 * Reads a LdapConnectionInfoResponse element from XML. The element to be read is "connectionInfo", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapConnectionInfoResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *xml_read_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0ConnectionInfoElement(reader);
}

/**
 * Writes a LdapConnectionInfoResponse to XML under element name "connectionInfo".
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse) {
  return xmlTextWriterWriteNs0ConnectionInfoElementNS(writer, _ldapConnectionInfoResponse, 1);
}

/**
 * Frees a LdapConnectionInfoResponse.
 *
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse) {
  freeNs0LdapConnectionInfoResponseType(_ldapConnectionInfoResponse);
  free(_ldapConnectionInfoResponse);
}

/**
 * Reads a LdapConnectionInfoResponse element from XML. The element to be read is "connectionInfo", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The LdapConnectionInfoResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *xmlTextReaderReadNs0ConnectionInfoElement(xmlTextReaderPtr reader) {
  struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "connectionInfo", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}connectionInfo.\n");
#endif
    _ldapConnectionInfoResponse = xmlTextReaderReadNs0LdapConnectionInfoResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_ldapConnectionInfoResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}connectionInfo failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}connectionInfo failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _ldapConnectionInfoResponse;
}

/**
 * Writes a LdapConnectionInfoResponse to XML under element name "connectionInfo".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ConnectionInfoElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse) {
  return xmlTextWriterWriteNs0ConnectionInfoElementNS(writer, _ldapConnectionInfoResponse, 0);
}

/**
 * Writes a LdapConnectionInfoResponse to XML under element name "connectionInfo".
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ConnectionInfoElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "connectionInfo", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}connectionInfo. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}ldapConnectionInfoResponse for root element {}connectionInfo...\n");
#endif
  status = xmlTextWriterWriteNs0LdapConnectionInfoResponseType(writer, _ldapConnectionInfoResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}connectionInfo. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}connectionInfo. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a LdapConnectionInfoResponse.
 *
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse whose children are to be free.
 */
static void freeNs0ConnectionInfoElement(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse) {
  freeNs0LdapConnectionInfoResponseType(_ldapConnectionInfoResponse);
}

/**
 * Reads a LdapConnectionInfoResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapConnectionInfoResponse, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *xmlTextReaderReadNs0LdapConnectionInfoResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapConnectionInfoResponseType(_ldapConnectionInfoResponse);
        free(_ldapConnectionInfoResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}ldapConnectionInfoDTO.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0LdapConnectionInfoDTOType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}ldapConnectionInfoDTO.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapConnectionInfoResponseType(_ldapConnectionInfoResponse);
          free(_ldapConnectionInfoResponse);
          return NULL;
        }

        _ldapConnectionInfoResponse->data = ((struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapConnectionInfoResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapConnectionInfoResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapConnectionInfoResponse;
}

/**
 * Writes a LdapConnectionInfoResponse to XML.
 *
 * @param writer The XML writer.
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapConnectionInfoResponseType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapConnectionInfoResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}ldapConnectionInfoDTO for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0LdapConnectionInfoDTOType(writer, (_ldapConnectionInfoResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}ldapConnectionInfoDTO for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapConnectionInfoResponse.
 *
 * @param _ldapConnectionInfoResponse The LdapConnectionInfoResponse to free.
 */
static void freeNs0LdapConnectionInfoResponseType(struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse *_ldapConnectionInfoResponse) {
  int i;
  if (_ldapConnectionInfoResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse...\n");
#endif
    freeNs0LdapConnectionInfoDTOType(_ldapConnectionInfoResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse...\n");
#endif
    free(_ldapConnectionInfoResponse->data);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapConnectionInfoResponse_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO_M

/**
 * Reads a LdapUserAndGroupConfigurationDTO from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapUserAndGroupConfigurationDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *xmlTextReaderReadNs0LdapUserAndGroupConfigurationDTOType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *_ldapUserAndGroupConfigurationDTO = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
        free(_ldapUserAndGroupConfigurationDTO);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "emailAddressAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}emailAddressAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}emailAddressAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->emailAddressAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupBaseDn", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->groupBaseDn = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupIdAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->groupIdAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupMemberAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupMemberAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupMemberAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->groupMemberAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupMemberFormat", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupMemberFormat of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupMemberFormat of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->groupMemberFormat = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupObjectClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->groupObjectClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userPasswordAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userPasswordAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userPasswordAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->userPasswordAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userIdAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->userIdAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userObjectClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->userObjectClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userBaseDn", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->userBaseDn = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userRealNameAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userRealNameAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userRealNameAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->userRealNameAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ldapGroupsAsRoles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ldapGroupsAsRoles of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ldapGroupsAsRoles of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->ldapGroupsAsRoles = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userSubtree", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->userSubtree = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupSubtree", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->groupSubtree = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userMemberOfAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userMemberOfAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userMemberOfAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->userMemberOfAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ldapFilter", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ldapFilter of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ldapFilter of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationDTO);
          free(_ldapUserAndGroupConfigurationDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigurationDTO->ldapFilter = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapUserAndGroupConfigurationDTO.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapUserAndGroupConfigurationDTO. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapUserAndGroupConfigurationDTO;
}

/**
 * Writes a LdapUserAndGroupConfigurationDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationDTO The LdapUserAndGroupConfigurationDTO to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigurationDTOType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *_ldapUserAndGroupConfigurationDTO) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapUserAndGroupConfigurationDTO->emailAddressAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "emailAddressAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}emailAddressAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}emailAddressAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->emailAddressAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}emailAddressAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}emailAddressAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->groupBaseDn != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupBaseDn", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupBaseDn...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->groupBaseDn));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->groupIdAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupIdAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupIdAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->groupIdAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->groupMemberAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupMemberAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupMemberAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->groupMemberAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupMemberAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->groupMemberFormat != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupMemberFormat", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupMemberFormat. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberFormat...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->groupMemberFormat));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberFormat. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupMemberFormat. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->groupObjectClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupObjectClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupObjectClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->groupObjectClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->userPasswordAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userPasswordAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userPasswordAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userPasswordAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->userPasswordAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userPasswordAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userPasswordAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->userIdAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userIdAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userIdAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->userIdAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->userObjectClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userObjectClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userObjectClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->userObjectClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->userBaseDn != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userBaseDn", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userBaseDn...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->userBaseDn));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->userRealNameAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userRealNameAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userRealNameAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userRealNameAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->userRealNameAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userRealNameAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userRealNameAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ldapGroupsAsRoles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ldapGroupsAsRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}ldapGroupsAsRoles...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_ldapUserAndGroupConfigurationDTO->ldapGroupsAsRoles));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}ldapGroupsAsRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ldapGroupsAsRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userSubtree", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}userSubtree...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_ldapUserAndGroupConfigurationDTO->userSubtree));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}userSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupSubtree", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}groupSubtree...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_ldapUserAndGroupConfigurationDTO->groupSubtree));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}groupSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->userMemberOfAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userMemberOfAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userMemberOfAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userMemberOfAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->userMemberOfAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userMemberOfAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userMemberOfAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigurationDTO->ldapFilter != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ldapFilter", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ldapFilter. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}ldapFilter...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigurationDTO->ldapFilter));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}ldapFilter. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ldapFilter. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapUserAndGroupConfigurationDTO.
 *
 * @param _ldapUserAndGroupConfigurationDTO The LdapUserAndGroupConfigurationDTO to free.
 */
static void freeNs0LdapUserAndGroupConfigurationDTOType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO *_ldapUserAndGroupConfigurationDTO) {
  int i;
  if (_ldapUserAndGroupConfigurationDTO->emailAddressAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor emailAddressAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->emailAddressAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor emailAddressAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->emailAddressAttribute);
  }
  if (_ldapUserAndGroupConfigurationDTO->groupBaseDn != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->groupBaseDn);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->groupBaseDn);
  }
  if (_ldapUserAndGroupConfigurationDTO->groupIdAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->groupIdAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->groupIdAttribute);
  }
  if (_ldapUserAndGroupConfigurationDTO->groupMemberAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupMemberAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->groupMemberAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupMemberAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->groupMemberAttribute);
  }
  if (_ldapUserAndGroupConfigurationDTO->groupMemberFormat != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupMemberFormat of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->groupMemberFormat);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupMemberFormat of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->groupMemberFormat);
  }
  if (_ldapUserAndGroupConfigurationDTO->groupObjectClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->groupObjectClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->groupObjectClass);
  }
  if (_ldapUserAndGroupConfigurationDTO->userPasswordAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userPasswordAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->userPasswordAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userPasswordAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->userPasswordAttribute);
  }
  if (_ldapUserAndGroupConfigurationDTO->userIdAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->userIdAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->userIdAttribute);
  }
  if (_ldapUserAndGroupConfigurationDTO->userObjectClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->userObjectClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->userObjectClass);
  }
  if (_ldapUserAndGroupConfigurationDTO->userBaseDn != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->userBaseDn);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->userBaseDn);
  }
  if (_ldapUserAndGroupConfigurationDTO->userRealNameAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userRealNameAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->userRealNameAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userRealNameAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->userRealNameAttribute);
  }
  if (_ldapUserAndGroupConfigurationDTO->userMemberOfAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userMemberOfAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->userMemberOfAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userMemberOfAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->userMemberOfAttribute);
  }
  if (_ldapUserAndGroupConfigurationDTO->ldapFilter != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor ldapFilter of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigurationDTO->ldapFilter);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor ldapFilter of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO...\n");
#endif
    free(_ldapUserAndGroupConfigurationDTO->ldapFilter);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse_M

/**
 * Reads a LdapUserAndGroupConfigurationResponse element from XML. The element to be read is "userAndGroupConfig", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigurationResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *xml_read_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0UserAndGroupConfigElement(reader);
}

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML under element name "userAndGroupConfig".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse) {
  return xmlTextWriterWriteNs0UserAndGroupConfigElementNS(writer, _ldapUserAndGroupConfigurationResponse, 1);
}

/**
 * Frees a LdapUserAndGroupConfigurationResponse.
 *
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse) {
  freeNs0LdapUserAndGroupConfigurationResponseType(_ldapUserAndGroupConfigurationResponse);
  free(_ldapUserAndGroupConfigurationResponse);
}

/**
 * Reads a LdapUserAndGroupConfigurationResponse element from XML. The element to be read is "userAndGroupConfig", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigurationResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *xmlTextReaderReadNs0UserAndGroupConfigElement(xmlTextReaderPtr reader) {
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "userAndGroupConfig", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}userAndGroupConfig.\n");
#endif
    _ldapUserAndGroupConfigurationResponse = xmlTextReaderReadNs0LdapUserAndGroupConfigurationResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_ldapUserAndGroupConfigurationResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}userAndGroupConfig failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}userAndGroupConfig failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _ldapUserAndGroupConfigurationResponse;
}

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML under element name "userAndGroupConfig".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse) {
  return xmlTextWriterWriteNs0UserAndGroupConfigElementNS(writer, _ldapUserAndGroupConfigurationResponse, 0);
}

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML under element name "userAndGroupConfig".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userAndGroupConfig", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}userAndGroupConfig. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}ldapUserAndGroupConfigurationResponse for root element {}userAndGroupConfig...\n");
#endif
  status = xmlTextWriterWriteNs0LdapUserAndGroupConfigurationResponseType(writer, _ldapUserAndGroupConfigurationResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}userAndGroupConfig. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}userAndGroupConfig. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a LdapUserAndGroupConfigurationResponse.
 *
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse whose children are to be free.
 */
static void freeNs0UserAndGroupConfigElement(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse) {
  freeNs0LdapUserAndGroupConfigurationResponseType(_ldapUserAndGroupConfigurationResponse);
}

/**
 * Reads a LdapUserAndGroupConfigurationResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapUserAndGroupConfigurationResponse, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *xmlTextReaderReadNs0LdapUserAndGroupConfigurationResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapUserAndGroupConfigurationResponseType(_ldapUserAndGroupConfigurationResponse);
        free(_ldapUserAndGroupConfigurationResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}ldapUserAndGroupConfigurationDTO.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0LdapUserAndGroupConfigurationDTOType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}ldapUserAndGroupConfigurationDTO.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigurationResponseType(_ldapUserAndGroupConfigurationResponse);
          free(_ldapUserAndGroupConfigurationResponse);
          return NULL;
        }

        _ldapUserAndGroupConfigurationResponse->data = ((struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationDTO*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapUserAndGroupConfigurationResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapUserAndGroupConfigurationResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapUserAndGroupConfigurationResponse;
}

/**
 * Writes a LdapUserAndGroupConfigurationResponse to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigurationResponseType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapUserAndGroupConfigurationResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}ldapUserAndGroupConfigurationDTO for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0LdapUserAndGroupConfigurationDTOType(writer, (_ldapUserAndGroupConfigurationResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}ldapUserAndGroupConfigurationDTO for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapUserAndGroupConfigurationResponse.
 *
 * @param _ldapUserAndGroupConfigurationResponse The LdapUserAndGroupConfigurationResponse to free.
 */
static void freeNs0LdapUserAndGroupConfigurationResponseType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse *_ldapUserAndGroupConfigurationResponse) {
  int i;
  if (_ldapUserAndGroupConfigurationResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse...\n");
#endif
    freeNs0LdapUserAndGroupConfigurationDTOType(_ldapUserAndGroupConfigurationResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse...\n");
#endif
    free(_ldapUserAndGroupConfigurationResponse->data);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigurationResponse_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserListResponse_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserListResponse_M

/**
 * Reads a LdapUserListResponse element from XML. The element to be read is "userList", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapUserListResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *xml_read_nexus_ldap_realm_plugin_ns0_ldapUserListResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0UserListElement(reader);
}

/**
 * Writes a LdapUserListResponse to XML under element name "userList".
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapUserListResponse(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse) {
  return xmlTextWriterWriteNs0UserListElementNS(writer, _ldapUserListResponse, 1);
}

/**
 * Frees a LdapUserListResponse.
 *
 * @param _ldapUserListResponse The LdapUserListResponse to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapUserListResponse(struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse) {
  freeNs0LdapUserListResponseType(_ldapUserListResponse);
  free(_ldapUserListResponse);
}

/**
 * Reads a LdapUserListResponse element from XML. The element to be read is "userList", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The LdapUserListResponse, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *xmlTextReaderReadNs0UserListElement(xmlTextReaderPtr reader) {
  struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "userList", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}userList.\n");
#endif
    _ldapUserListResponse = xmlTextReaderReadNs0LdapUserListResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_ldapUserListResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}userList failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}userList failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _ldapUserListResponse;
}

/**
 * Writes a LdapUserListResponse to XML under element name "userList".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0UserListElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse) {
  return xmlTextWriterWriteNs0UserListElementNS(writer, _ldapUserListResponse, 0);
}

/**
 * Writes a LdapUserListResponse to XML under element name "userList".
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0UserListElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userList", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}userList. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}ldapUserListResponse for root element {}userList...\n");
#endif
  status = xmlTextWriterWriteNs0LdapUserListResponseType(writer, _ldapUserListResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}userList. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}userList. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a LdapUserListResponse.
 *
 * @param _ldapUserListResponse The LdapUserListResponse whose children are to be free.
 */
static void freeNs0UserListElement(struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse) {
  freeNs0LdapUserListResponseType(_ldapUserListResponse);
}

/**
 * Reads a LdapUserListResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapUserListResponse, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *xmlTextReaderReadNs0LdapUserListResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapUserListResponseType(_ldapUserListResponse);
        free(_ldapUserListResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0LdapUserListResponseType(_ldapUserListResponse);
              free(_ldapUserListResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "user", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}user of type {}user.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0UserType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}user of type {}user.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserListResponseType(_ldapUserListResponse);
          free(_ldapUserListResponse);
          return NULL;
        }

        _ldapUserListResponse->ldapUserRoleMappings = realloc(_ldapUserListResponse->ldapUserRoleMappings, (_ldapUserListResponse->_sizeof_ldapUserRoleMappings + 1) * sizeof(struct nexus_ldap_realm_plugin_ns0_user));
        memcpy(&(_ldapUserListResponse->ldapUserRoleMappings[_ldapUserListResponse->_sizeof_ldapUserRoleMappings++]), _child_accessor, sizeof(struct nexus_ldap_realm_plugin_ns0_user));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0LdapUserListResponseType(_ldapUserListResponse);
          free(_ldapUserListResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapUserListResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapUserListResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapUserListResponse;
}

/**
 * Writes a LdapUserListResponse to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserListResponse The LdapUserListResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapUserListResponseType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_ldapUserListResponse->ldapUserRoleMappings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _ldapUserListResponse->_sizeof_ldapUserRoleMappings; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "user", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}user. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}user for element {}user...\n", status);
#endif
    status = xmlTextWriterWriteNs0UserType(writer, &(_ldapUserListResponse->ldapUserRoleMappings[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}user for element {}user. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}user. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_ldapUserListResponse->ldapUserRoleMappings != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapUserListResponse.
 *
 * @param _ldapUserListResponse The LdapUserListResponse to free.
 */
static void freeNs0LdapUserListResponseType(struct nexus_ldap_realm_plugin_ns0_ldapUserListResponse *_ldapUserListResponse) {
  int i;
  if (_ldapUserListResponse->ldapUserRoleMappings != NULL) {
    for (i = 0; i < _ldapUserListResponse->_sizeof_ldapUserRoleMappings; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor ldapUserRoleMappings[%i] of type nexus_ldap_realm_plugin_ns0_ldapUserListResponse...\n", i);
#endif
      freeNs0UserType(&(_ldapUserListResponse->ldapUserRoleMappings[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor ldapUserRoleMappings of type nexus_ldap_realm_plugin_ns0_ldapUserListResponse...\n");
#endif
    free(_ldapUserListResponse->ldapUserRoleMappings);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserListResponse_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_user_M
#define DEF_nexus_ldap_realm_plugin_ns0_user_M

/**
 * Reads a LdapUserResponseDTO from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapUserResponseDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_user *xmlTextReaderReadNs0UserType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_user *_ldapUserResponseDTO = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_user));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0UserType(_ldapUserResponseDTO);
        free(_ldapUserResponseDTO);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserType(_ldapUserResponseDTO);
          free(_ldapUserResponseDTO);
          return NULL;
        }

        _ldapUserResponseDTO->userId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}roles of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}roles of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserType(_ldapUserResponseDTO);
          free(_ldapUserResponseDTO);
          return NULL;
        }

        _ldapUserResponseDTO->roles = realloc(_ldapUserResponseDTO->roles, (_ldapUserResponseDTO->_sizeof_roles + 1) * sizeof(xmlChar));
        memcpy(&(_ldapUserResponseDTO->roles[_ldapUserResponseDTO->_sizeof_roles++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserType(_ldapUserResponseDTO);
          free(_ldapUserResponseDTO);
          return NULL;
        }

        _ldapUserResponseDTO->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "email", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}email of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0UserType(_ldapUserResponseDTO);
          free(_ldapUserResponseDTO);
          return NULL;
        }

        _ldapUserResponseDTO->email = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}user.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}user. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapUserResponseDTO;
}

/**
 * Writes a LdapUserResponseDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserResponseDTO The LdapUserResponseDTO to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0UserType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_user *_ldapUserResponseDTO) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapUserResponseDTO->userId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserResponseDTO->userId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _ldapUserResponseDTO->_sizeof_roles; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}roles...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_ldapUserResponseDTO->roles[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserResponseDTO->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserResponseDTO->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserResponseDTO->email != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "email", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}email...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserResponseDTO->email));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}email. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapUserResponseDTO.
 *
 * @param _ldapUserResponseDTO The LdapUserResponseDTO to free.
 */
static void freeNs0UserType(struct nexus_ldap_realm_plugin_ns0_user *_ldapUserResponseDTO) {
  int i;
  if (_ldapUserResponseDTO->userId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userId of type nexus_ldap_realm_plugin_ns0_user...\n");
#endif
    freeXsStringType(_ldapUserResponseDTO->userId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userId of type nexus_ldap_realm_plugin_ns0_user...\n");
#endif
    free(_ldapUserResponseDTO->userId);
  }
  if (_ldapUserResponseDTO->roles != NULL) {
    for (i = 0; i < _ldapUserResponseDTO->_sizeof_roles; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor roles[%i] of type nexus_ldap_realm_plugin_ns0_user...\n", i);
#endif
      freeXsStringType(&(_ldapUserResponseDTO->roles[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roles of type nexus_ldap_realm_plugin_ns0_user...\n");
#endif
    free(_ldapUserResponseDTO->roles);
  }
  if (_ldapUserResponseDTO->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_ldap_realm_plugin_ns0_user...\n");
#endif
    freeXsStringType(_ldapUserResponseDTO->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_ldap_realm_plugin_ns0_user...\n");
#endif
    free(_ldapUserResponseDTO->name);
  }
  if (_ldapUserResponseDTO->email != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor email of type nexus_ldap_realm_plugin_ns0_user...\n");
#endif
    freeXsStringType(_ldapUserResponseDTO->email);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor email of type nexus_ldap_realm_plugin_ns0_user...\n");
#endif
    free(_ldapUserResponseDTO->email);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_user_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest_M

/**
 * Reads a LdapAuthenticationTestRequest element from XML. The element to be read is "connectionInfoTest", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapAuthenticationTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *xml_read_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0ConnectionInfoTestElement(reader);
}

/**
 * Writes a LdapAuthenticationTestRequest to XML under element name "connectionInfoTest".
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest) {
  return xmlTextWriterWriteNs0ConnectionInfoTestElementNS(writer, _ldapAuthenticationTestRequest, 1);
}

/**
 * Frees a LdapAuthenticationTestRequest.
 *
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest(struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest) {
  freeNs0LdapAuthenticationTestRequestType(_ldapAuthenticationTestRequest);
  free(_ldapAuthenticationTestRequest);
}

/**
 * Reads a LdapAuthenticationTestRequest element from XML. The element to be read is "connectionInfoTest", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The LdapAuthenticationTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *xmlTextReaderReadNs0ConnectionInfoTestElement(xmlTextReaderPtr reader) {
  struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "connectionInfoTest", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}connectionInfoTest.\n");
#endif
    _ldapAuthenticationTestRequest = xmlTextReaderReadNs0LdapAuthenticationTestRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_ldapAuthenticationTestRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}connectionInfoTest failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}connectionInfoTest failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _ldapAuthenticationTestRequest;
}

/**
 * Writes a LdapAuthenticationTestRequest to XML under element name "connectionInfoTest".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ConnectionInfoTestElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest) {
  return xmlTextWriterWriteNs0ConnectionInfoTestElementNS(writer, _ldapAuthenticationTestRequest, 0);
}

/**
 * Writes a LdapAuthenticationTestRequest to XML under element name "connectionInfoTest".
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ConnectionInfoTestElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "connectionInfoTest", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}connectionInfoTest. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}ldapAuthenticationTestRequest for root element {}connectionInfoTest...\n");
#endif
  status = xmlTextWriterWriteNs0LdapAuthenticationTestRequestType(writer, _ldapAuthenticationTestRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}connectionInfoTest. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}connectionInfoTest. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a LdapAuthenticationTestRequest.
 *
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest whose children are to be free.
 */
static void freeNs0ConnectionInfoTestElement(struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest) {
  freeNs0LdapAuthenticationTestRequestType(_ldapAuthenticationTestRequest);
}

/**
 * Reads a LdapAuthenticationTestRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapAuthenticationTestRequest, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *xmlTextReaderReadNs0LdapAuthenticationTestRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapAuthenticationTestRequestType(_ldapAuthenticationTestRequest);
        free(_ldapAuthenticationTestRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}ldapConnectionInfoDTO.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0LdapConnectionInfoDTOType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}ldapConnectionInfoDTO.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapAuthenticationTestRequestType(_ldapAuthenticationTestRequest);
          free(_ldapAuthenticationTestRequest);
          return NULL;
        }

        _ldapAuthenticationTestRequest->data = ((struct nexus_ldap_realm_plugin_ns0_ldapConnectionInfoDTO*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapAuthenticationTestRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapAuthenticationTestRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapAuthenticationTestRequest;
}

/**
 * Writes a LdapAuthenticationTestRequest to XML.
 *
 * @param writer The XML writer.
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapAuthenticationTestRequestType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapAuthenticationTestRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}ldapConnectionInfoDTO for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0LdapConnectionInfoDTOType(writer, (_ldapAuthenticationTestRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}ldapConnectionInfoDTO for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapAuthenticationTestRequest.
 *
 * @param _ldapAuthenticationTestRequest The LdapAuthenticationTestRequest to free.
 */
static void freeNs0LdapAuthenticationTestRequestType(struct nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest *_ldapAuthenticationTestRequest) {
  int i;
  if (_ldapAuthenticationTestRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest...\n");
#endif
    freeNs0LdapConnectionInfoDTOType(_ldapAuthenticationTestRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest...\n");
#endif
    free(_ldapAuthenticationTestRequest->data);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapAuthenticationTestRequest_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest_M

/**
 * Reads a LdapUserAndGroupConfigTestRequest element from XML. The element to be read is "userAndGroupConfigTest", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *xml_read_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0UserAndGroupConfigTestElement(reader);
}

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML under element name "userAndGroupConfigTest".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest) {
  return xmlTextWriterWriteNs0UserAndGroupConfigTestElementNS(writer, _ldapUserAndGroupConfigTestRequest, 1);
}

/**
 * Frees a LdapUserAndGroupConfigTestRequest.
 *
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to free.
 */
void free_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest) {
  freeNs0LdapUserAndGroupConfigTestRequestType(_ldapUserAndGroupConfigTestRequest);
  free(_ldapUserAndGroupConfigTestRequest);
}

/**
 * Reads a LdapUserAndGroupConfigTestRequest element from XML. The element to be read is "userAndGroupConfigTest", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The LdapUserAndGroupConfigTestRequest, or NULL in case of error.
 */
struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *xmlTextReaderReadNs0UserAndGroupConfigTestElement(xmlTextReaderPtr reader) {
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "userAndGroupConfigTest", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}userAndGroupConfigTest.\n");
#endif
    _ldapUserAndGroupConfigTestRequest = xmlTextReaderReadNs0LdapUserAndGroupConfigTestRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_ldapUserAndGroupConfigTestRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}userAndGroupConfigTest failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}userAndGroupConfigTest failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _ldapUserAndGroupConfigTestRequest;
}

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML under element name "userAndGroupConfigTest".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigTestElement(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest) {
  return xmlTextWriterWriteNs0UserAndGroupConfigTestElementNS(writer, _ldapUserAndGroupConfigTestRequest, 0);
}

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML under element name "userAndGroupConfigTest".
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0UserAndGroupConfigTestElementNS(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userAndGroupConfigTest", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}userAndGroupConfigTest. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}ldapUserAndGroupConfigTestRequest for root element {}userAndGroupConfigTest...\n");
#endif
  status = xmlTextWriterWriteNs0LdapUserAndGroupConfigTestRequestType(writer, _ldapUserAndGroupConfigTestRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}userAndGroupConfigTest. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}userAndGroupConfigTest. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a LdapUserAndGroupConfigTestRequest.
 *
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest whose children are to be free.
 */
static void freeNs0UserAndGroupConfigTestElement(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest) {
  freeNs0LdapUserAndGroupConfigTestRequestType(_ldapUserAndGroupConfigTestRequest);
}

/**
 * Reads a LdapUserAndGroupConfigTestRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapUserAndGroupConfigTestRequest, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *xmlTextReaderReadNs0LdapUserAndGroupConfigTestRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapUserAndGroupConfigTestRequestType(_ldapUserAndGroupConfigTestRequest);
        free(_ldapUserAndGroupConfigTestRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}ldapUserAndGroupConfigTestRequestDTO.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0LdapUserAndGroupConfigTestRequestDTOType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}ldapUserAndGroupConfigTestRequestDTO.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestType(_ldapUserAndGroupConfigTestRequest);
          free(_ldapUserAndGroupConfigTestRequest);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequest->data = ((struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapUserAndGroupConfigTestRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapUserAndGroupConfigTestRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapUserAndGroupConfigTestRequest;
}

/**
 * Writes a LdapUserAndGroupConfigTestRequest to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigTestRequestType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapUserAndGroupConfigTestRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}ldapUserAndGroupConfigTestRequestDTO for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0LdapUserAndGroupConfigTestRequestDTOType(writer, (_ldapUserAndGroupConfigTestRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}ldapUserAndGroupConfigTestRequestDTO for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapUserAndGroupConfigTestRequest.
 *
 * @param _ldapUserAndGroupConfigTestRequest The LdapUserAndGroupConfigTestRequest to free.
 */
static void freeNs0LdapUserAndGroupConfigTestRequestType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest *_ldapUserAndGroupConfigTestRequest) {
  int i;
  if (_ldapUserAndGroupConfigTestRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest...\n");
#endif
    freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequest->data);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequest_M */
#ifndef DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO_M
#define DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO_M

/**
 * Reads a LdapUserAndGroupConfigTestRequestDTO from XML. The reader is assumed to be at the start element.
 *
 * @return the LdapUserAndGroupConfigTestRequestDTO, or NULL in case of error.
 */
static struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *xmlTextReaderReadNs0LdapUserAndGroupConfigTestRequestDTOType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *_ldapUserAndGroupConfigTestRequestDTO = calloc(1, sizeof(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
        free(_ldapUserAndGroupConfigTestRequestDTO);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "emailAddressAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}emailAddressAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}emailAddressAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->emailAddressAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupBaseDn", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->groupBaseDn = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupIdAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->groupIdAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupMemberAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupMemberAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupMemberAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->groupMemberAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupMemberFormat", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupMemberFormat of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupMemberFormat of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->groupMemberFormat = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupObjectClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->groupObjectClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userPasswordAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userPasswordAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userPasswordAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userPasswordAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userIdAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userIdAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userIdAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userObjectClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userObjectClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userObjectClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userBaseDn", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userBaseDn of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userBaseDn = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userRealNameAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userRealNameAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userRealNameAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userRealNameAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ldapGroupsAsRoles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ldapGroupsAsRoles of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ldapGroupsAsRoles of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->ldapGroupsAsRoles = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userSubtree", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userSubtree = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupSubtree", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupSubtree of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->groupSubtree = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userMemberOfAttribute", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userMemberOfAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userMemberOfAttribute of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userMemberOfAttribute = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ldapFilter", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ldapFilter of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ldapFilter of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->ldapFilter = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "searchBase", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}searchBase of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}searchBase of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->searchBase = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "systemUsername", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}systemUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}systemUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->systemUsername = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "systemPassword", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}systemPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}systemPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->systemPassword = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "authScheme", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}authScheme of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}authScheme of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->authScheme = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "protocol", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}protocol of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}protocol of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->protocol = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "host", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->host = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "port", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->port = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "realm", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}realm of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}realm of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->realm = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userLimitCount", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userLimitCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userLimitCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LdapUserAndGroupConfigTestRequestDTOType(_ldapUserAndGroupConfigTestRequestDTO);
          free(_ldapUserAndGroupConfigTestRequestDTO);
          return NULL;
        }

        _ldapUserAndGroupConfigTestRequestDTO->userLimitCount = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}ldapUserAndGroupConfigTestRequestDTO.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}ldapUserAndGroupConfigTestRequestDTO. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _ldapUserAndGroupConfigTestRequestDTO;
}

/**
 * Writes a LdapUserAndGroupConfigTestRequestDTO to XML.
 *
 * @param writer The XML writer.
 * @param _ldapUserAndGroupConfigTestRequestDTO The LdapUserAndGroupConfigTestRequestDTO to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LdapUserAndGroupConfigTestRequestDTOType(xmlTextWriterPtr writer, struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *_ldapUserAndGroupConfigTestRequestDTO) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_ldapUserAndGroupConfigTestRequestDTO->emailAddressAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "emailAddressAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}emailAddressAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}emailAddressAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->emailAddressAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}emailAddressAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}emailAddressAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupBaseDn != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupBaseDn", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupBaseDn...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->groupBaseDn));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupIdAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupIdAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupIdAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->groupIdAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupMemberAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupMemberAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupMemberAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->groupMemberAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupMemberAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupMemberFormat != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupMemberFormat", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupMemberFormat. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberFormat...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->groupMemberFormat));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupMemberFormat. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupMemberFormat. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupObjectClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupObjectClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupObjectClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->groupObjectClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userPasswordAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userPasswordAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userPasswordAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userPasswordAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->userPasswordAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userPasswordAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userPasswordAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userIdAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userIdAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userIdAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->userIdAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userIdAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userObjectClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userObjectClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userObjectClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->userObjectClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userObjectClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userBaseDn != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userBaseDn", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userBaseDn...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->userBaseDn));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userBaseDn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userRealNameAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userRealNameAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userRealNameAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userRealNameAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->userRealNameAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userRealNameAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userRealNameAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ldapGroupsAsRoles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ldapGroupsAsRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}ldapGroupsAsRoles...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_ldapUserAndGroupConfigTestRequestDTO->ldapGroupsAsRoles));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}ldapGroupsAsRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ldapGroupsAsRoles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userSubtree", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}userSubtree...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_ldapUserAndGroupConfigTestRequestDTO->userSubtree));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}userSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupSubtree", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}groupSubtree...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_ldapUserAndGroupConfigTestRequestDTO->groupSubtree));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}groupSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupSubtree. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userMemberOfAttribute != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userMemberOfAttribute", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userMemberOfAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userMemberOfAttribute...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->userMemberOfAttribute));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userMemberOfAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userMemberOfAttribute. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->ldapFilter != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ldapFilter", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ldapFilter. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}ldapFilter...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->ldapFilter));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}ldapFilter. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ldapFilter. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->searchBase != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "searchBase", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}searchBase. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}searchBase...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->searchBase));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}searchBase. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}searchBase. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->systemUsername != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "systemUsername", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}systemUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}systemUsername...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->systemUsername));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}systemUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}systemUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->systemPassword != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "systemPassword", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}systemPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}systemPassword...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->systemPassword));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}systemPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}systemPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->authScheme != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "authScheme", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}authScheme. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}authScheme...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->authScheme));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}authScheme. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}authScheme. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->protocol != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "protocol", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}protocol. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}protocol...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->protocol));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}protocol. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}protocol. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->host != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "host", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}host...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->host));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "port", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}port...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_ldapUserAndGroupConfigTestRequestDTO->port));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->realm != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "realm", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}realm. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}realm...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_ldapUserAndGroupConfigTestRequestDTO->realm));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}realm. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}realm. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userLimitCount", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userLimitCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}userLimitCount...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_ldapUserAndGroupConfigTestRequestDTO->userLimitCount));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}userLimitCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userLimitCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LdapUserAndGroupConfigTestRequestDTO.
 *
 * @param _ldapUserAndGroupConfigTestRequestDTO The LdapUserAndGroupConfigTestRequestDTO to free.
 */
static void freeNs0LdapUserAndGroupConfigTestRequestDTOType(struct nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO *_ldapUserAndGroupConfigTestRequestDTO) {
  int i;
  if (_ldapUserAndGroupConfigTestRequestDTO->emailAddressAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor emailAddressAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->emailAddressAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor emailAddressAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->emailAddressAttribute);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupBaseDn != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->groupBaseDn);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->groupBaseDn);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupIdAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->groupIdAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->groupIdAttribute);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupMemberAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupMemberAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->groupMemberAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupMemberAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->groupMemberAttribute);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupMemberFormat != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupMemberFormat of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->groupMemberFormat);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupMemberFormat of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->groupMemberFormat);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->groupObjectClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->groupObjectClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->groupObjectClass);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userPasswordAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userPasswordAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->userPasswordAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userPasswordAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->userPasswordAttribute);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userIdAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->userIdAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userIdAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->userIdAttribute);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userObjectClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->userObjectClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userObjectClass of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->userObjectClass);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userBaseDn != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->userBaseDn);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userBaseDn of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->userBaseDn);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userRealNameAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userRealNameAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->userRealNameAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userRealNameAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->userRealNameAttribute);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->userMemberOfAttribute != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userMemberOfAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->userMemberOfAttribute);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userMemberOfAttribute of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->userMemberOfAttribute);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->ldapFilter != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor ldapFilter of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->ldapFilter);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor ldapFilter of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->ldapFilter);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->searchBase != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor searchBase of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->searchBase);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor searchBase of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->searchBase);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->systemUsername != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor systemUsername of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->systemUsername);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor systemUsername of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->systemUsername);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->systemPassword != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor systemPassword of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->systemPassword);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor systemPassword of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->systemPassword);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->authScheme != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor authScheme of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->authScheme);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor authScheme of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->authScheme);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->protocol != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor protocol of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->protocol);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor protocol of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->protocol);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->host != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor host of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->host);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor host of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->host);
  }
  if (_ldapUserAndGroupConfigTestRequestDTO->realm != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor realm of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    freeXsStringType(_ldapUserAndGroupConfigTestRequestDTO->realm);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor realm of type nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO...\n");
#endif
    free(_ldapUserAndGroupConfigTestRequestDTO->realm);
  }
}
#endif /* DEF_nexus_ldap_realm_plugin_ns0_ldapUserAndGroupConfigTestRequestDTO_M */
